RUMP_WMD(1) | General Commands Manual | RUMP_WMD(1)

# NAME

`rump_wmd` —
Resolve rump kernel component dependencies

# SYNOPSIS

`rump_wmd` | [`-hv`] [`-L` dir] `-l` component

# DESCRIPTION

The `rump_wmd` utility can be used to resolve the link dependencies of rump kernel components. This functionality is useful when desiring to run a rump kernel with a given set of drivers, but not being sure what the dependencies of those drivers are. The output of `rump_wmd` is accepted as command line input by rump_server(1).

The command line options are:

`-h`
  Print the usage.
`-L` dir
  By default, rump kernel components in /usr/lib are examined. If this option is supplied, components in dir are examined instead.
`-v`
  Increase debug output from the utility. This option may be given multiple times.

The desired components are given using `-l` component. This parameter may be specified multiple time and must be the last set of parameters.

# EXAMPLES

Resolve dependencies for FFS:

    $ rump_wmd -lrumpfs_ffs
    DEBUG0: Searching component combinations. This may take a while ...
    DEBUG0: Found a set
    -lrumpdev -lrumpdev_disk -lrumpvfs -lrumpfs_ffs

Resolve dependencies for NFS, use IPv6 networking and the virtif network interface:

    $ rump_wmd -lrumpfs_nfs -lrumpnet_netinet6 -lrumpnet_virtif
    DEBUG0: Searching component combinations. This may take a while ...
    DEBUG0: Found a set
    -lrumpnet -lrumpnet_net -lrumpvfs -lrumpfs_nfs -lrumpnet_netinet6 -lrumpnet_virtif

# SEE ALSO

rump_server(1)

# CAVEATS

Since `rump_wmd` uses trial-and-error brute force resolution, it runs somewhat slow. If several seconds are spent for dependency resolution, the benefit of a rump kernel booting in 10ms is somewhat lost. Caching the output is highly recommended.

# FUN FACTS

`rump_wmd` is short for "rump, where's my dependency".

January 28, 2014 | NetBSD 9.4